package cn.dg32z.lon.commands.sub;

import cn.dg32z.libs.org.jetbrains.annotations.NotNull;
import cn.dg32z.lon.PluginLoader;
import cn.dg32z.lon.commands.AbstractCommand;
import cn.dg32z.lon.manager.plugin.init.HookInit;
import cn.dg32z.lon.player.PlayerData;
import java.util.List;
import java.util.stream.Collectors;
import org.bukkit.Bukkit;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

/* loaded from: cn_dg32z_lon_commands_sub.jar:cn/dg32z/lon/commands/sub/Profile.class */
public final class Profile extends AbstractCommand {
    public Profile() {
        super("Show player profile", "lonac.commands.profile", false);
    }

    public void execute(@NotNull CommandSender sender, @NotNull String label, @NotNull String[] args) {
        if (args.length < 1) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.profile.usage"));
            return;
        }
        Player target = Bukkit.getPlayer(args[0]);
        if (target == null) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("not-found").replace("%player%", args[0]));
            return;
        }
        PlayerData playerData = PluginLoader.INSTANCE.getPlayerDataManager().getPlayer(target);
        if (playerData == null) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n(target, "not-data-user"));
            return;
        }
        playerData.getBukkitPlayer().setWalkSpeed(10.5f);
        String profileMessage = PluginLoader.INSTANCE.getMessageUtils().i18nWithOutPrefix("commands.profile.message");
        String formattedMessage = PluginLoader.INSTANCE.getExternalAPI().replaceVariables(playerData, HookInit.getPlaceholderAPIHook().setPlaceholders(playerData.getBukkitPlayer(), profileMessage), true);
        sender.sendMessage(formattedMessage);
    }

    public List<String> tabCompleter(@NotNull CommandSender sender, @NotNull String label, @NotNull String[] args) {
        if (args.length == 1) {
            return (List) Bukkit.getOnlinePlayers().stream().map((v0) -> {
                return v0.getName();
            }).filter(name -> {
                return name.toLowerCase().startsWith(args[0].toLowerCase());
            }).collect(Collectors.toList());
        }
        return List.of();
    }
}
